%define name 	swish-e
%define version	2.2.3
%define release 2mdk

Summary:	Simple Web Indexing System for Humans - Enhanced
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/Other
Source: 	http://swish-e.org/Download/%{name}-%{version}.tar.bz2
URL: 		http://swish-e.org/
BuildRoot: 	%{_tmppath}/%name-root
BuildRequires:	libxml-devel

%description
Swish-e key features are :
    * Emacs/Gnus mail index in cooordination with nnir.el
    * Fast - many factors that affect speed, but a search on this server 
	that returns a thousand documents takes only a few seconds.
    * Flexible - a number of configuration options provide you a high degree 
	of control over what is indexed and how.
    * Powerful - the AND, OR and NOT operators are supported, words can be 
	truncated (using *), and searches can be limited to particular fields 
	(META tag fields, TITLEs, etc.)
    * Free - nothing, zip, zero.
    * It's made for Web sites - In indexing HTML files, SWISH-E can ignore 
	data in most tags while giving higher relevance to information in 
	header and title tags. Titles are extracted from HTML files and appear 
	in the search results. SWISH can automatically search your whole Web 
	site for you in one pass, if it's under one directory. You can also 
	limit your search to words in HTML titles, comments, emphasized tags, 
	and META tags. In addition, 8-bit HTML characters can be indexed, 
	converted, and searched.
    * It creates portable indexes - Index files consist of only one file, 
	so they can be transported around and easily maintained.
    * You can fix the source - We encourage people to send in patches and 
	suggestions on how to make SWISH-E better. You may want to join 
	the SWISH-E Discussion.

%prep
%setup -q

%build
%configure
%make
make test

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m755 src/swish-e $RPM_BUILD_ROOT/%_bindir
install -m755 src/swish-search $RPM_BUILD_ROOT/%_bindir

#%post

#%postun

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi


%files
%defattr(-,root,root)
%{_bindir}/*
%doc README* conf/example*

%changelog
* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-2mdk
- rebuild

* Thu Jun 12 2003 Marcel Pol <mpol@gmx.net> 2.2.3-1mdk
- 2.2.3

* Thu Nov 22 2001 Yves Duret <yduret@mandrakesoft.com> 2.0.5-2mdk
- update url
- rebuild

* Mon Sep 03 2001 Yves Duret <yduret@mandrakesoft.com> 2.0.5-1mdk
- first mandrake version 
